C+
C DSCDIR.FTN
      LOGICAL*1 TAPE(4)
 1000 FORMAT (' TEST PROGRAM')
 1001 FORMAT ('$ENTER TAPE NAME')
 2000 FORMAT (Q, 4A1)
C START THE PROGRAM BY IDENTIFYING AND WAITING FOR TAPE
      WRITE (1,1000)
C
C PROMPT FOR INPUT TAPE DEVICE-UNIT
   10 CONTINUE
      WRITE (1,1001)
      READ (2,2000, END=900, ERR=10) NQT, TAPE
  900 STOP
      END
